<!DOCTYPE html>
{%load staticfiles%}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <!-- JavaScript Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script src="//cdn.jsdelivr.net/npm/medium-editor@latest/dist/js/medium-editor.min.js"></script>
    <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/medium-editor@latest/dist/css/medium-editor.min.css" type="text/css" media="screen" charset="utf-8">
    <link rel="stylesheet" href="{%static 'css/blog.css' %}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Trirong">

    <title>Base</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light techfont custom-navbar">
        <div class="container">
            <ul class="nav navbar-nav">
                <li><a class="navbar-brand bigbrand" href="{%url 'blog:post_list'%}">Brand</a></li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'blog:about' %}">About</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="https://about.gitlab.com/">Gitlab</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="https://www.facebook.com/">Facebook</a>
                </li>         
            </ul>
            <ul class="nav navbar-nav navbar-right">
                {%if user.is_authenticated%}
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'blog:post_new' %}">New post</a>
                </li>   
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'blog:post_draft_list' %}">Drafts</a>
                </li>  
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'logout' %}">Log out</a>
                </li>     
                <li class="nav-item ">
                    <a>Welcome {{user.username}}</a>
                </li>  
                {%else%}
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'login' %}"><span class="glyphicon glyphicon-user" ></span></a>
                </li> 
                {%endif%}
            </ul>
        </div>
    </nav>
    <div class="content container">
        <div class="row">
            <div class="blog_post">
                {%block content%}
                {%endblock%}
            </div>
        </div>
    </div>
    
</body>
</html>